package Tk::FileBrowser::Images;

=head1 NAME

=cut 

use strict;
use warnings;
use vars qw ($VERSION);
$VERSION =  0.05;

use Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(
	$link_pixmap
	$reload_pixmap
	$newfolder_pixmap
);

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 EXPORTS

=over 4

=cut

our $link_pixmap = '/* XPM */
static char * link_xpm[] = {
"12 12 4 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"@	c #1C94D1",
" ........   ",
" .++++++.   ",
" .+++@++... ",
" .+++@@+++. ",
" .+++@@@++. ",
" .+++@@@@+. ",
" .+++@@@@@. ",
" .+++@@@@+. ",
" .+++@@@++. ",
" .+++@@+++. ",
" .+++@++++. ",
" .......... "};
';

our $reload_pixmap = '/* XPM */
static char * reload_xpm[] = {
"22 22 142 2",
"  	c None",
". 	c #215017",
"+ 	c #225118",
"@ 	c #1C3F10",
"# 	c #1C4110",
"$ 	c #213B14",
"% 	c #1A330D",
"& 	c #141400",
"* 	c #1D4613",
"= 	c #2A732F",
"- 	c #65C284",
"; 	c #D8F0D6",
"> 	c #B9E4BD",
", 	c #82CD91",
"\' 	c #3D8F4B",
") 	c #477D40",
"! 	c #417036",
"~ 	c #1E4917",
"{ 	c #1B3E0F",
"] 	c #32A85D",
"^ 	c #DBF1D9",
"/ 	c #B8E2BE",
"( 	c #46B670",
"_ 	c #2F833C",
": 	c #112405",
"< 	c #121600",
"[ 	c #212106",
"} 	c #142B0A",
"| 	c #E2F4E1",
"1 	c #B2E0B8",
"2 	c #47B671",
"3 	c #50854A",
"4 	c #101800",
"5 	c #CBE9CB",
"6 	c #63C284",
"7 	c #337F3A",
"8 	c #17320C",
"9 	c #2A6F2B",
"0 	c #E4F4E1",
"a 	c #A3DAAE",
"b 	c #31843E",
"c 	c #296C27",
"d 	c #E0F3DD",
"e 	c #63C385",
"f 	c #46914F",
"g 	c #142908",
"h 	c #284919",
"i 	c #305020",
"j 	c #2FA057",
"k 	c #BEE5C1",
"l 	c #55BD7A",
"m 	c #32843F",
"n 	c #192C0B",
"o 	c #161600",
"p 	c #2C7F39",
"q 	c #B0E1B5",
"r 	c #DFF3DD",
"s 	c #D4F4D4",
"t 	c #6FC386",
"u 	c #419652",
"v 	c #378843",
"w 	c #7DCB8F",
"x 	c #CEECCE",
"y 	c #2C813A",
"z 	c #16310C",
"A 	c #000000",
"B 	c #171717",
"C 	c #366D2F",
"D 	c #32A65C",
"E 	c #34B464",
"F 	c #319E52",
"G 	c #3A924C",
"H 	c #64C280",
"I 	c #256022",
"J 	c #A1A1A1",
"K 	c #474747",
"L 	c #191919",
"M 	c #2F8F46",
"N 	c #33B364",
"O 	c #6AC684",
"P 	c #BCBCBC",
"Q 	c #6D6D6D",
"R 	c #848484",
"S 	c #454545",
"T 	c #151515",
"U 	c #407438",
"V 	c #2F8B40",
"W 	c #2D823B",
"X 	c #CACACA",
"Y 	c #6F6F6F",
"Z 	c #383838",
"` 	c #484848",
" .	c #8D8D8D",
"..	c #4C4C4C",
"+.	c #707070",
"@.	c #353535",
"#.	c #222222",
"$.	c #292929",
"%.	c #4D4D4D",
"&.	c #464646",
"*.	c #2E2E2E",
"=.	c #696969",
"-.	c #2A2A2A",
";.	c #2F2F2F",
">.	c #717171",
",.	c #2C2C2C",
"\'.	c #0A0A0A",
").	c #030303",
"!.	c #757575",
"~.	c #3C3C3C",
"{.	c #515151",
"].	c #242424",
"^.	c #010101",
"/.	c #898989",
"(.	c #414141",
"_.	c #575757",
":.	c #252525",
"<.	c #A3A3A3",
"[.	c #3B3B3B",
"}.	c #1A1A1A",
"|.	c #AFAFAF",
"1.	c #6A6A6A",
"2.	c #434343",
"3.	c #404040",
"4.	c #070707",
"5.	c #424242",
"6.	c #141414",
"7.	c #080808",
"8.	c #0B0B0B",
"9.	c #1C1C1C",
"0.	c #797979",
"a.	c #828282",
"b.	c #505050",
"c.	c #1F1F1F",
"d.	c #4B4B4B",
"e.	c #818181",
"f.	c #A5A5A5",
"g.	c #5E5E5E",
"h.	c #0D0D0D",
"i.	c #121212",
"j.	c #212121",
"k.	c #1D1D1D",
"                . + @ # $ % &               ",
"            * = - ; > , \' ) ! ~ {           ",
"          * ] ^ / ( _ * : < [ & ~ }         ",
"          = | 1 2 3 & &         & } 4       ",
"        * - 5 6 7 8                 } &     ",
"        9 0 a b &                     &     ",
"        c d e f g                           ",
"& { h i j k l m n o & &                     ",
"& p q r s t u v w x y z       A B           ",
"  & C D E F G H y I &       A J K L         ",
"    & C M N O y I &       A P Q R S T       ",
"      & U V W I &       A X Y Z `  ...L     ",
"        & C I &       A P +.@.#.$.%. .&.T   ",
"          & &       *.J =.S S -.;.*.&.>.,.\'.",
"                    A A ).A !.~.{.].^.A A A ",
"                          A /.(._.:.        ",
"    A                     A <.[.{.}.        ",
"    A A                 A |.1.2.3.4.        ",
"      A A A         A A |.R 5.` 6.          ",
"        7.#.8.9.A A 0.|.a.b.b.,.4.          ",
"          A c.d.1.e.f.g.5.b.h.A             ",
"              \'.i.L c.j.k.A                 "};';

our $newfolder_pixmap = '/* XPM */
static char * folder_new_xpm[] = {
"22 22 196 2",
"  	c None",
". 	c #DBDA4D",
"+ 	c #F6F611",
"@ 	c #80800D",
"# 	c #26190E",
"$ 	c #271C11",
"% 	c #271A0F",
"& 	c #FFFF00",
"* 	c #494900",
"= 	c #3B2714",
"- 	c #F4AD6A",
"; 	c #FEC280",
"> 	c #FEC27F",
", 	c #FDB773",
"\' 	c #FBFB00",
") 	c #D2D149",
"! 	c #000000",
"~ 	c #CFCE49",
"{ 	c #E5A566",
"] 	c #FECB93",
"^ 	c #FED39A",
"/ 	c #FECE93",
"( 	c #FEC88B",
"_ 	c #F6B675",
": 	c #150F09",
"< 	c #130E08",
"[ 	c #FFFFAF",
"} 	c #FFFFDA",
"| 	c #FEC385",
"1 	c #FED59C",
"2 	c #FECE92",
"3 	c #FCB269",
"4 	c #F9AC62",
"5 	c #F8AC62",
"6 	c #F5A960",
"7 	c #DE9A58",
"8 	c #F3F286",
"9 	c #818129",
"0 	c #FEC888",
"a 	c #FED199",
"b 	c #FEC282",
"c 	c #EEA059",
"d 	c #80532C",
"e 	c #4B3119",
"f 	c #4A3019",
"g 	c #452C17",
"h 	c #3F2814",
"i 	c #808004",
"j 	c #FECA8F",
"k 	c #FDB56E",
"l 	c #A86F3C",
"m 	c #53504D",
"n 	c #F5F5F5",
"o 	c #F7F7F7",
"p 	c #F1F1F1",
"q 	c #EAEAEA",
"r 	c #FDFD00",
"s 	c #FFFFC3",
"t 	c #FFFFDD",
"u 	c #999999",
"v 	c #333333",
"w 	c #FEC685",
"x 	c #FEC182",
"y 	c #F2A55C",
"z 	c #C8C8C7",
"A 	c #E7E7E7",
"B 	c #E4E4E4",
"C 	c #E1E1E1",
"D 	c #D9D9D8",
"E 	c #494901",
"F 	c #CFCE48",
"G 	c #E3E254",
"H 	c #161616",
"I 	c #FEC283",
"J 	c #FBB269",
"K 	c #AB6F3B",
"L 	c #F2F2F2",
"M 	c #E2E2E1",
"N 	c #EAEAE9",
"O 	c #EBEBEA",
"P 	c #E3E3E3",
"Q 	c #969695",
"R 	c #848483",
"S 	c #7D7D7C",
"T 	c #787877",
"U 	c #FDFD04",
"V 	c #646463",
"W 	c #636362",
"X 	c #5C5C5B",
"Y 	c #50504E",
"Z 	c #FEB971",
"` 	c #EA9E58",
" .	c #4E331B",
"..	c #CDCDCC",
"+.	c #D5D5D4",
"@.	c #E1E1E0",
"#.	c #E9E9E8",
"$.	c #E7E7E6",
"%.	c #E5E5E3",
"&.	c #D1D1D0",
"*.	c #A1A1A0",
"=.	c #B5B5B4",
"-.	c #B6B6B4",
";.	c #ACACAB",
">.	c #747473",
",.	c #8A8A88",
"\'.	c #828281",
").	c #656564",
"!.	c #FEB469",
"~.	c #A66D3A",
"{.	c #DEDEDD",
"].	c #D4D4D3",
"^.	c #E0E0DF",
"/.	c #E5E5E4",
"(.	c #DDDDDC",
"_.	c #D5D5D3",
":.	c #C6C6C5",
"<.	c #C5C5C4",
"[.	c #C0C0BE",
"}.	c #B7B7B6",
"|.	c #767675",
"1.	c #8C8C8C",
"2.	c #818180",
"3.	c #292928",
"4.	c #F3A45A",
"5.	c #ACACAC",
"6.	c #C9C9C8",
"7.	c #DCDCDB",
"8.	c #D0D0CF",
"9.	c #C2C2C1",
"0.	c #B9B9B8",
"a.	c #B2B2B1",
"b.	c #9F9F9E",
"c.	c #7A7A79",
"d.	c #888887",
"e.	c #5E5E5C",
"f.	c #161615",
"g.	c #B57740",
"h.	c #CFCFCE",
"i.	c #C4C4C4",
"j.	c #D2D2D1",
"k.	c #CDCDCB",
"l.	c #C1C1C0",
"m.	c #BBBBBA",
"n.	c #B3B3B2",
"o.	c #939391",
"p.	c #7F7F7F",
"q.	c #383837",
"r.	c #472E19",
"s.	c #BDBDBB",
"t.	c #C3C3C1",
"u.	c #C7C7C5",
"v.	c #C8C8C6",
"w.	c #C3C3C2",
"x.	c #BFBFBE",
"y.	c #B9B9B7",
"z.	c #A5A5A4",
"A.	c #9D9D9B",
"B.	c #8D8D8C",
"C.	c #676766",
"D.	c #0B0704",
"E.	c #6D6864",
"F.	c #ADADAC",
"G.	c #B6B6B5",
"H.	c #BABAB9",
"I.	c #AEAEAD",
"J.	c #A9A9A7",
"K.	c #A2A2A1",
"L.	c #9D9D9C",
"M.	c #919190",
"N.	c #7F7F7E",
"O.	c #2D2D2C",
"P.	c #171717",
"Q.	c #919191",
"R.	c #9A9A9A",
"S.	c #999998",
"T.	c #9C9C9B",
"U.	c #9F9F9D",
"V.	c #9A9A99",
"W.	c #979796",
"X.	c #939393",
"Y.	c #90908F",
"Z.	c #8B8B8A",
"`.	c #5A5A58",
" +	c #141413",
".+	c #131313",
"++	c #323232",
"@+	c #2B2B2B",
"#+	c #2C2C2B",
"$+	c #2D2D2D",
"%+	c #2A2A2A",
"&+	c #282828",
"*+	c #272727",
"=+	c #262625",
"-+	c #252524",
";+	c #101010",
"                                            ",
"                                            ",
"                                            ",
"                                            ",
"                              .             ",
"                              + @           ",
"    # $ $ %         .         & *       .   ",
"  = - ; > , =       * \' ) ! . & . ! ~ & *   ",
"= { ] ^ / ( _ = : : < * & . [ } [ . & @     ",
"= | 1 2 ; 3 4 5 5 5 6 7 * 8 } } } 8 9       ",
"= 0 a b c d e f f f g h * 8 } } } 8 i ! ! ! ",
"= 0 j k l m n o n p q * r . s t [ . & i u v ",
"= w x y f z A B C D E r F ! G & . ! ~ & * H ",
"= I J K m L M N O P . Q R S T U V W X Y .   ",
"= Z `  ...+.@.#.$.%.&.*.=.-.;.+ >.,.\'.).!   ",
"= !.~.m {.].^./.M (._.:.<.[.}.. |.1.2.3.    ",
"= 4.f 5.6.].(.7.D +.8.6.9.0.a.b.c.d.e.f.    ",
"= g.m h.i.h.].j.8.k.z l.m.n.;.*.o.p.q.      ",
"= r.5.n.s.t.u.v.:.w.x.y.n.;.z.A.B.C.!       ",
"D.E.z F.n.G.y.m.H.G.n.I.J.K.L.M.N.O.        ",
"P.Q.R.S.T.U.U.U.A.V.W.X.Y.Z.,.S `. +        ",
".+++@+#+O.$+$+$+O.#+@+%+&+*+=+-+;+          "};';

=back

=head1 LICENSE

Same as Perl.

=head1 AUTHOR

Hans Jeuken (hanje at cpan dot org)

=head1 TODO

=over 4

=back

=head1 BUGS AND CAVEATS

If you find any bugs, please contact the author.

=head1 SEE ALSO

=over 4

=back

=cut

1;